com.pixelmed.apps

## Class TranslateImagePositionPatient

- java.lang.Object
- - com.pixelmed.apps.TranslateImagePositionPatient

    public class TranslateImagePositionPatient
    extends java.lang.Object

A class to read a set of DICOM files and translate the Image Position (Patient) by a fixed offset.

### Nested Class Summary

Nested Classes
`protected class` `TranslateImagePositionPatient.OurMediaImporter`

### Field Summary

Fields
`protected java.lang.String` `ourAETitle`

### Constructor Summary

Constructors
Constructor and Description
`TranslateImagePositionPatient(java.lang.String srcPathName, java.lang.String dstFolderName, double x, double y, double z)` Read a set of DICOM files and translate the Image Position (Patient) by the specified 3D offset.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Read a set of DICOM files and translate the Image Position (Patient) by a fixed offset.
`static Attribute` `translateImagePositionPatient(Attribute aImagePositionPatient, double x, double y, double z)`
`static void` `translateImagePositionPatient(AttributeList list, double normalDistance)`
`static void` `translateImagePositionPatient(AttributeList list, double x, double y, double z)`
`static void` `translateImagePositionPatientInPlanePositionSequence(SequenceAttribute planePositionSequence, double x, double y, double z)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ourAETitle

    protected java.lang.String ourAETitle

### Constructor Detail

#### TranslateImagePositionPatient

    public TranslateImagePositionPatient(java.lang.String srcPathName,
                                 java.lang.String dstFolderName,
                                 double x,
                                 double y,
                                 double z)
                                  throws java.io.FileNotFoundException,
                                         java.io.IOException,
                                         DicomException

Read a set of DICOM files and translate the Image Position (Patient) by the specified 3D offset.

Uses the same sub-folder and file names in the destination folder as supplied in the source folder (or parent folder of single source file).

Parameters:
  `srcPathName` -
  `dstFolderName` -
  `x` -
  `y` -
  `z` -
Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`
  `DicomException`

### Method Detail

#### translateImagePositionPatient

    public static Attribute translateImagePositionPatient(Attribute aImagePositionPatient,
                                          double x,
                                          double y,
                                          double z)
                                                   throws DicomException

Throws:
  `DicomException`

#### translateImagePositionPatientInPlanePositionSequence

    public static void translateImagePositionPatientInPlanePositionSequence(SequenceAttribute planePositionSequence,
                                                            double x,
                                                            double y,
                                                            double z)
                                                                     throws DicomException

Throws:
  `DicomException`

#### translateImagePositionPatient

    public static void translateImagePositionPatient(AttributeList list,
                                     double x,
                                     double y,
                                     double z)
                                              throws DicomException

Throws:
  `DicomException`

#### translateImagePositionPatient

    public static void translateImagePositionPatient(AttributeList list,
                                     double normalDistance)
                                              throws DicomException

Throws:
  `DicomException`

#### main

    public static void main(java.lang.String[] arg)

Read a set of DICOM files and translate the Image Position (Patient) by a fixed offset.

Uses the same sub-folder and file names in the destination folder as supplied in the source folder.

Parameters:
  `arg` - [XYZ x y z|NORMALDISTANCE d] srcPathName dstFolderName